using Godot;
using System;

public class DebugUI : Control
{
    [Export]
    public NodePath TicksLabelPath { private get; set; }
    private Label _ticksLabel;
    
    public override void _Ready()
    {
        _ticksLabel = GetNode<Label>(TicksLabelPath);
        SetTicksText(0);
    }
    
    public void _on_Clock_OnTick(int ticks) => SetTicksText(ticks);
    
    private void SetTicksText(int ticks)
    {
        _ticksLabel.Text = $"ticks: {ticks}";
    }
}
